> ## Documentation Index
> Fetch the complete documentation index at: https://agentref.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversion stats



## OpenAPI

````yaml /openapi.json get /conversions/stats
openapi: 3.1.0
info:
  title: AgentRef REST API
  version: 1.0.0
  description: >-
    REST API v1 for merchants and affiliates. Authentication via API keys
    (Authorization: Bearer ak_...).
servers:
  - url: /api/v1
    description: Current API version
security:
  - ApiKeyAuth: []
tags:
  - name: Auth
  - name: Onboarding
  - name: Programs
  - name: Merchant
  - name: Applications
  - name: Affiliates
  - name: Me
  - name: Coupons
  - name: Invites
  - name: Conversions
  - name: Payouts
  - name: Flags
  - name: Billing
  - name: Marketplace
  - name: Marketing Resources
  - name: Notifications
  - name: Webhooks
  - name: Docs
  - name: Meta
paths:
  /conversions/stats:
    get:
      tags:
        - Conversions
      summary: Get conversion stats
      operationId: getConversionStats
      parameters:
        - name: programId
          in: query
          schema:
            type: string
            format: uuid
        - name: period
          in: query
          schema:
            type: string
            enum:
              - 7d
              - 30d
              - 90d
              - all
      responses:
        '200':
          $ref: '#/components/responses/SuccessObjectResponse'
components:
  responses:
    SuccessObjectResponse:
      description: Success response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: object
                additionalProperties: true
              meta:
                $ref: '#/components/schemas/RequestMeta'
            required:
              - data
              - meta
  schemas:
    RequestMeta:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Use API key as Bearer token, for example: Bearer ak_live_xxx'

````